# FTOutlineGlyph Class Reference

FTOutlineGlyph is a specialisation of FTGlyph for creating outlines. More...

`#include <FTOutlineGlyph.h>`

Inheritance diagram for FTOutlineGlyph:

## Public Member Functions
| FTOutlineGlyph (FT_GlyphSlot glyph, float outset, bool useDisplayList)
| Constructor.
virtual | ~FTOutlineGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.

## Detailed Description

FTOutlineGlyph is a specialisation of FTGlyph for creating outlines.

Definition at line 42 of file FTOutlineGlyph.h.

## Constructor & Destructor Documentation

FTOutlineGlyph::FTOutlineGlyph | ( | FT_GlyphSlot | glyph,
|  | float | outset,
|  | bool | useDisplayList |
| ) |  |  |

Constructor.

Sets the Error to Invalid_Outline if the glyphs isn't an outline.

Parameters:

  | glyph | The Freetype glyph to be processed
  | outset | outset distance
  | useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

virtual FTOutlineGlyph::~FTOutlineGlyph | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const FTPoint& FTOutlineGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode |
| ) |  |  | `[virtual]`

Render this glyph at the current pen position.

Parameters:

  | pen | The current pen position.
  | renderMode | Render mode to display

Returns:
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTOutlineGlyph.h